# MongoDB\BSON\DBPointer::unserialize

(mongodb >=1.4.0)

MongoDB\BSON\DBPointer::unserialize — Unserialize a DBPointer

### Description

final public MongoDB\BSON\DBPointer::unserialize ( string `$serialized` ) : void

### Parameters

`serialized`

  The serialized MongoDB\BSON\DBPointer.

### Return Values

Returns the unserialized MongoDB\BSON\DBPointer.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\BSON\DBPointer::serialize() - Serialize a DBPointer
- unserialize() - Creates a PHP value from a stored representation
- Serializing Objects